#region Copyright (c) 2003-2004 ComponentGo!
/*
*********************************************************************
*                                                                   *
*       ComponentGo! Component Library                              *
*                                                                   *
*       Copyright (c) 2003-2004 ComponentGo!                        *
*       ALL RIGHTS RESERVED                                         *
*                                                                   *
*********************************************************************
*/
#endregion

using System;

namespace ComponentGo.Calendars
{
	/// <summary>
	/// Determines shape of tips of a rectangle representing an appointment on the screen.
	/// </summary>
	[System.Runtime.InteropServices.ComVisible(true)]
	public enum AppTerminator { 
		/// <summary>
		/// Standard rectangle.
		/// </summary>
		Standard,

		/// <summary>
		/// Rounded.
		/// </summary>
		Round,

		/// <summary>
		/// Pointed (triangle).
		/// </summary>
		Arrow,

		/// <summary>
		/// Triangle pointed up.
		/// </summary>
		TopArrow,

		/// <summary>
		/// Triangle pointed down.
		/// </summary>
		BottomArrow,
	}

}
