#region Copyright (c) 2003-2004 ComponentGo!
/*
*********************************************************************
*                                                                   *
*       ComponentGo! Component Library                              *
*                                                                   *
*       Copyright (c) 2003-2004 ComponentGo!                        *
*       ALL RIGHTS RESERVED                                         *
*                                                                   *
*********************************************************************
*/
#endregion

using System;

namespace ComponentGo.Calendars
{
	/// <summary>
	/// Determines holidays.
	/// <seealso cref="BaseCalendar.FreeDay"/>
	/// </summary>
	[System.Runtime.InteropServices.ComVisible(true)]
	public enum FreeDays { 
		/// <summary>
		/// All days are workdays.
		/// </summary>
		None, 

		/// <summary>
		/// Sunday is a holiday, Monday to Saturday are workdays.
		/// </summary>
		Sunday, 

		/// <summary>
		/// Sunday and Saturday are holidays, Monday to Friday are workdays.
		/// </summary>
		Weekend, 
	}
}
