#region Copyright (c) 2003-2004 ComponentGo!
/*
*********************************************************************
*                                                                   *
*       ComponentGo! Component Library                              *
*                                                                   *
*       Copyright (c) 2003-2004 ComponentGo!                        *
*       ALL RIGHTS RESERVED                                         *
*                                                                   *
*********************************************************************
*/
#endregion

using System;

namespace ComponentGo.Calendars
{
#if !DAILY

	/// <summary>
	/// Ways display a week in a calendarn <see cref="MonthlyCalendar"/>.
	/// </summary> 
	[System.Runtime.InteropServices.ComVisible(true)]
	public enum MonthlyViewModes { 
		/// <summary>
		/// Seven columns for each day in a week. A week begins
		/// on Sunday.
		/// </summary>
		FirstSunday,
		/// <summary>
		/// Seven columns for each day in a week. A week begins
		/// on Monday.
		/// </summary>
		FirstMonday,
		/// <summary>
		/// Six columns for each day in a week and a common column
		/// for Satureday and Sundat. A week begins on Monday.
		/// </summary>
		SaturdayWithSunday,
	} 

#endif
}
