Imports System.Reflection
Imports System.Resources

''' <summary>
''' The resource wrapper.
''' </summary>
Friend NotInheritable Class Res

    Friend Shared Function GetString(ByVal name As String) As String
        Return ResourceManager.GetString(name)
    End Function

    Friend Shared Function GetImage(ByVal name As String) As Image
        Return New Bitmap([Assembly].GetCallingAssembly().GetManifestResourceStream("Phoenix." & name))
        'Return CType(ResourceManager.GetObject("Phoenix." & name), Image)
    End Function

    Friend Shared ReadOnly Property EmployeeNoPhoto() As Image
        Get
            Return Res.GetImage("EmployeeNoPhoto.png")
        End Get
    End Property


    ''' The resource strings accessors
    Friend Shared ReadOnly Property ProgressLoadConfig() As String
        Get
            Return Res.GetString("ProgressLoadConfig")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeAppointmentDocument() As String
        Get
            Return Res.GetString("TypeAppointmentDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property ReportGeneratedMessage() As String
        Get
            Return Res.GetString("ReportGeneratedMessage")
        End Get
    End Property


    Friend Shared ReadOnly Property NewAppointmentLabel() As String
        Get
            Return Res.GetString("NewAppointmentLabel")
        End Get
    End Property

    Friend Shared ReadOnly Property NewAppointmentTooltip() As String
        Get
            Return Res.GetString("NewAppointmentTooltip")
        End Get
    End Property



    Friend Shared ReadOnly Property TitleBillNew() As String
        Get
            Return Res.GetString("TitleBillNew")
        End Get
    End Property

    Friend Shared ReadOnly Property TitlePettyCashBillNew() As String
        Get
            Return Res.GetString("TitlePettyCashBillNew")
        End Get
    End Property


    Friend Shared ReadOnly Property ReportError() As String
        Get
            Return Res.GetString("ReportError")
        End Get
    End Property

    Friend Shared ReadOnly Property BillClientRequiredError() As String
        Get
            Return Res.GetString("BillClientRequiredError")
        End Get
    End Property

    Friend Shared ReadOnly Property BillEmptyError() As String
        Get
            Return Res.GetString("BillEmptyError")
        End Get
    End Property

    Friend Shared ReadOnly Property BillNotPaidError() As String
        Get
            Return Res.GetString("BillNotPaidError")
        End Get
    End Property


    Friend Shared ReadOnly Property ErrorRequiredCardName() As String
        Get
            Return Res.GetString("ErrorRequiredCardName")
        End Get
    End Property

    Friend Shared ReadOnly Property ErrorRequiredSumma() As String
        Get
            Return Res.GetString("ErrorRequiredSumma")
        End Get
    End Property


    Friend Shared ReadOnly Property TitleBillClient() As String
        Get
            Return Res.GetString("TitleBillClient")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentNotInSalonTime() As String
        Get
            Return Res.GetString("AppointmentNotInSalonTime")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentNotInStaffMemberFreeTime() As String
        Get
            Return Res.GetString("AppointmentNotInStaffMemberFreeTime")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentNotInClientFreeTime() As String
        Get
            Return Res.GetString("AppointmentNotInClientFreeTime")
        End Get
    End Property

    Friend Shared ReadOnly Property MasterLevelCantDelete() As String
        Get
            Return Res.GetString("MasterLevelCantDelete")
        End Get
    End Property

    Friend Shared ReadOnly Property MasterLevelEmptyNameError() As String
        Get
            Return Res.GetString("MasterLevelEmptyNameError")
        End Get
    End Property

    Friend Shared ReadOnly Property MasterLevelNoParentError() As String
        Get
            Return Res.GetString("MasterLevelNoParentError")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeBillNoSaleDocument() As String
        Get
            Return Res.GetString("TypeBillNoSaleDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property ProgressInitDataLayer() As String
        Get
            Return Res.GetString("ProgressInitDataLayer")
        End Get
    End Property

    Friend Shared ReadOnly Property ProgressRunningApplication() As String
        Get
            Return Res.GetString("ProgressRunningApplication")
        End Get
    End Property

    Friend Shared ReadOnly Property ConflictRepeatedAppointment() As String
        Get
            Return Res.GetString("ConflictRepeatedAppointment")
        End Get
    End Property


    Friend Shared ReadOnly Property AppointmentDeleteQuestion() As String
        Get
            Return Res.GetString("AppointmentDeleteQuestion")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentsDeleteQuestion() As String
        Get
            Return Res.GetString("AppointmentsDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property AppointmentStatusNew() As String
        Get
            Return Res.GetString("AppointmentStatusNew")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentStatusPaid() As String
        Get
            Return Res.GetString("AppointmentStatusPaid")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentStatusScheduled() As String
        Get
            Return Res.GetString("AppointmentStatusScheduled")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentStatusOpen() As String
        Get
            Return Res.GetString("AppointmentStatusOpen")
        End Get
    End Property

    Friend Shared ReadOnly Property ObjectOwnerInfo() As String
        Get
            Return Res.GetString("ObjectOwnerInfo")
        End Get
    End Property

    Friend Shared ReadOnly Property UnknownOwnerTitle() As String
        Get
            Return Res.GetString("UnknownOwnerTitle")
        End Get
    End Property

    Friend Shared ReadOnly Property ItemUnknownName() As String
        Get
            Return Res.GetString("ItemUnknownName")
        End Get
    End Property


    Friend Shared ReadOnly Property ServicesDeleteQuestion() As String
        Get
            Return Res.GetString("ServicesDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property ServiceDeleteQuestion() As String
        Get
            Return Res.GetString("ServiceDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property ProductsDeleteQuestion() As String
        Get
            Return Res.GetString("ProductsDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property ProductDeleteQuestion() As String
        Get
            Return Res.GetString("ProductDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property EmployeesDeleteQuestion() As String
        Get
            Return Res.GetString("EmployeesDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property EmployeeDeleteQuestion() As String
        Get
            Return Res.GetString("EmployeeDeleteQuestion")
        End Get
    End Property

    Friend Shared ReadOnly Property ClientsDeleteQuestion() As String
        Get
            Return Res.GetString("ClientsDeleteQuestion")
        End Get
    End Property


    Friend Shared ReadOnly Property ClientDeleteQuestion() As String
        Get
            Return Res.GetString("ClientDeleteQuestion")
        End Get
    End Property

    Friend Shared ReadOnly Property NewServiceDefaultLabel() As String
        Get
            Return Res.GetString("NewServiceDefaultLabel")
        End Get
    End Property

    Friend Shared ReadOnly Property NewProductDefaultLabel() As String
        Get
            Return Res.GetString("NewProductDefaultLabel")
        End Get
    End Property

    Friend Shared ReadOnly Property NewClientDefaultName() As String
        Get
            Return Res.GetString("NewClientDefaultName")
        End Get
    End Property

    Friend Shared ReadOnly Property NewEmployeeDefaultName() As String
        Get
            Return Res.GetString("NewEmployeeDefaultName")
        End Get
    End Property

    Friend Shared ReadOnly Property ApplicationTitle() As String
        Get
            Return Res.GetString("ApplicationTitle")
        End Get
    End Property

    Friend Shared ReadOnly Property SaveChanges() As String
        Get
            Return Res.GetString("SaveChanges")
        End Get
    End Property

    Friend Shared ReadOnly Property TitleUnknownDocument() As String
        Get
            Return Res.GetString("TitleUnknownDocument")
        End Get
    End Property


    Friend Shared ReadOnly Property TypeUnknownDocument() As String
        Get
            Return Res.GetString("TypeUnknownDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeClientDocument() As String
        Get
            Return Res.GetString("TypeClientDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeEmployeeDocument() As String
        Get
            Return Res.GetString("TypeEmployeeDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeProductDocument() As String
        Get
            Return Res.GetString("TypeProductDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property TypeServiceDocument() As String
        Get
            Return Res.GetString("TypeServiceDocument")
        End Get
    End Property

    Friend Shared ReadOnly Property RoleTitleUser() As String
        Get
            Return Res.GetString("RoleTitleUser")
        End Get
    End Property

    Friend Shared ReadOnly Property RoleTitleManager() As String
        Get
            Return Res.GetString("RoleTitleManager")
        End Get
    End Property


    Friend Shared ReadOnly Property RoleTitleAdministrator() As String
        Get
            Return Res.GetString("RoleTitleAdministrator")
        End Get
    End Property


    Friend Shared ReadOnly Property RoleTitleUnknown() As String
        Get
            Return Res.GetString("RoleTitleUnknown")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentSelectService() As String
        Get
            Return Res.GetString("AppointmentSelectService")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentSelectClient() As String
        Get
            Return Res.GetString("AppointmentSelectClient")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentSelectStaffMember() As String
        Get
            Return Res.GetString("AppointmentSelectStaffMember")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentServiceRequired() As String
        Get
            Return Res.GetString("AppointmentServiceRequired")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentBookInPastError() As String
        Get
            Return Res.GetString("AppointmentBookInPastError")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentInvaidDuration() As String
        Get
            Return Res.GetString("AppointmentInvaidDuration")
        End Get
    End Property


    Friend Shared ReadOnly Property AppointmentClientRequired() As String
        Get
            Return Res.GetString("AppointmentClientRequired")
        End Get
    End Property

    Friend Shared ReadOnly Property AppointmentStaffMemberRequired() As String
        Get
            Return Res.GetString("AppointmentStaffMemberRequired")
        End Get
    End Property

    Friend Shared ReadOnly Property PettyEmployeeRequiredError() As String
        Get
            Return Res.GetString("PettyEmployeeRequiredError")
        End Get
    End Property

    Friend Shared ReadOnly Property PettyAmountRequiredError() As String
        Get
            Return Res.GetString("PettyAmountRequiredError")
        End Get
    End Property

    Friend Shared ReadOnly Property BillEmployeeRequiredError() As String
        Get
            Return Res.GetString("BillEmployeeRequiredError")
        End Get
    End Property

    Friend Shared ReadOnly Property NeedLogoffMessage() As String
        Get
            Return Res.GetString("NeedLogoffMessage")
        End Get
    End Property


    Friend Shared ReadOnly Property MasterLevelConfirmDelete() As String
        Get
            Return Res.GetString("MasterLevelConfirmDelete")
        End Get
    End Property

    Friend Shared ReadOnly Property CriticalStockTitle() As String
        Get
            Return Res.GetString("CriticalStockTitle")
        End Get
    End Property

    Friend Shared ReadOnly Property NormalStockTitle() As String
        Get
            Return Res.GetString("NormalStockTitle")
        End Get
    End Property

    Friend Shared ReadOnly Property NoAvailableProductMessage() As String
        Get
            Return Res.GetString("NoAvailableProductMessage")
        End Get
    End Property

    Friend Shared ReadOnly Property PopulateServiceParamsMessage() As String
        Get
            Return Res.GetString("PopulateServiceParamsMessage")
        End Get
    End Property

    Friend Shared ReadOnly Property ClientDuplicateName() As String
        Get
            Return Res.GetString("ClientDuplicateName")
        End Get
    End Property

    Friend Shared ReadOnly Property BillSelectClient() As String
        Get
            Return Res.GetString("BillSelectClient")
        End Get
    End Property


    Friend Shared ReadOnly Property DefaultBreakDecription() As String
        Get
            Return Res.GetString("DefaultBreakDecription")
        End Get
    End Property


    Friend Shared ReadOnly Property ErrorZeroCostService() As String
        Get
            Return Res.GetString("ErrorZeroCostService")
        End Get
    End Property


    Friend Shared ReadOnly Property ErrorZeroDurationService() As String
        Get
            Return Res.GetString("ErrorZeroDurationService")
        End Get
    End Property

    Friend Shared ReadOnly Property SqueezeAppointmentMessage() As String
        Get
            Return Res.GetString("SqueezeAppointmentMessage")
        End Get
    End Property


    Friend Shared ReadOnly Property ErrorZeroLengthBreak() As String
        Get
            Return Res.GetString("ErrorZeroLengthBreak")
        End Get
    End Property

    Friend Shared ReadOnly Property ErrorEmployeeHasBookedAppointments() As String
        Get
            Return Res.GetString("ErrorEmployeeHasBookedAppointments")
        End Get
    End Property

    Friend Shared ReadOnly Property DefaultAdditionalTimeDecription() As String
        Get
            Return Res.GetString("DefaultAdditionalTimeDecription")
        End Get
    End Property

    Friend Shared ReadOnly Property AskLogOut() As String
        Get
            Return Res.GetString("AskLogOut")
        End Get
    End Property


    ''' <summary>
    ''' The resource manager accessor.
    ''' </summary>
    ''' <remarks>The property implmentation has lazy-initialization logic.</remarks>
    ''' <value>The resource manager</value>
    Private Shared ReadOnly Property ResourceManager() As ResourceManager
        Get
            If mResourceManager Is Nothing Then
                mResourceManager = New ResourceManager("Phoenix.Resources", [Assembly].GetCallingAssembly())
            End If
            Return mResourceManager
        End Get
    End Property


    Private Shared mResourceManager As ResourceManager = Nothing
End Class
