Namespace Store

    Public NotInheritable Class WindowsFileSystemStore : Inherits BackingStore

        Private Sub New()
        End Sub

        Private Shared ReadOnly mInstance As WindowsFileSystemStore = New WindowsFileSystemStore

        Public Shared ReadOnly Property Instance() As WindowsFileSystemStore
            Get
                Return mInstance
            End Get
        End Property

        Protected Friend Overrides Function GetUserRootNodeFromStorage() As IPreferencesNode
            Return WindowsFilePreferencesNode.WindowsFileUserRootNode
        End Function

        Protected Friend Overrides Function GetSystemRootNodeFromStorage() As IPreferencesNode
            Return WindowsFilePreferencesNode.WindowsFileSystemRootNode
        End Function

    End Class

End Namespace
