Imports Excel = Microsoft.Office.Interop.Excel

Public Interface ITemplateFormula

    ReadOnly Property ReferenceAddress() As String

    Sub DeployFormula()

    Sub ReleaseFormula()

    Sub PreDeployFormula(ByVal rowCount As Int32)

    Function HasIntersection(ByRef range As Excel.Range) As Boolean

    Function HasIntersection(ByVal address As String) As Boolean

    Function IsReferenceOnMe(ByVal areaReference As String) As Boolean

    ReadOnly Property IsDeployed() As Boolean

    ReadOnly Property IsPreDeployed() As Boolean

    ReadOnly Property RowCount() As Integer

End Interface
