-- TTP #324   Zero / Negative Bill values 
IF EXISTS(select * from INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE where TABLE_NAME='ServiceParam' and CONSTRAINT_NAME='ServiceParam_Price_Check')
BEGIN
	ALTER TABLE [dbo].[ServiceParam] DROP CONSTRAINT [ServiceParam_Price_Check]
END
GO

IF EXISTS(select * from INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE where TABLE_NAME='ServiceParam' and CONSTRAINT_NAME='ServiceParam_Duration_Check')
BEGIN
	ALTER TABLE [dbo].[ServiceParam] DROP CONSTRAINT [ServiceParam_Duration_Check]
END
GO

ALTER TABLE [dbo].[ServiceParam]  WITH NOCHECK ADD  CONSTRAINT [ServiceParam_Duration_Check] CHECK  (([Duration] >= 0))
GO
ALTER TABLE [dbo].[ServiceParam] CHECK CONSTRAINT [ServiceParam_Duration_Check]