Option Strict On

Imports Excel = Microsoft.Office.Interop.Excel

Public Interface ITemplateTable

    ReadOnly Property ReferenceAddress() As String

    Sub DeployTable()

    Function HasIntersection(ByRef range As Excel.Range) As Boolean

    Function IsReferenceOnMe(ByVal areaReference As String) As Boolean

    ReadOnly Property IsDeployed() As Boolean

    ReadOnly Property RowCount() As Integer

    ReadOnly Property ColumnCount() As Integer
End Interface
